SitePoint Sponsor

User Tag List

Results 1 to 3 of 3
  1. #1
    SitePoint Member
    Join Date
    Oct 2010
    Posts
    14
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    Cannot get Ruby, Rails, or RubyGems to install via 'Simply Rails 2'

    So, I am running Mac OSX 10.6.6 (brand new as of 2 days ago)... anyways, from reading your 'Simply Rails 2' book it says ruby and rails are already installed on my machine, and to take a look at just updating rails.

    It doesn't mention rubygems at all, but the rails updating section is past that section so I wasn't sure if it's on there or not.

    Anyways, I have installed XCODE from my install disc (as it's not pre-installed), which the book implies that it is. Anyways, how in the world do I get ruby/rails/rubygems installed?

    When I try to update rails alone, this is what I get:

    Blake-Millers-MacBook-Pro:~ blakemiller$ sudo gem update --system
    Password:
    Updating RubyGems...
    ERROR: While executing gem ... (Gem::RemoteSourceException)
    HTTP Response 302 fetching http://gems.rubyforge.org/yaml

    So anyways, I've tried every way I can think of, even following the book as if I had OSX 10.4 or newer. I just cannot get it to install or update properly.

    Any thoughts on this would be greatly appreciated!

  2. #2
    SitePoint Member
    Join Date
    Oct 2010
    Posts
    14
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    Tried everything under the sun to get it working, no luck. Read thru all related posts I found on the forums, no luck.

  3. #3
    SitePoint Member
    Join Date
    Oct 2010
    Posts
    14
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    Whew... that was rough.

    Finally got it installed


Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •